edu.isi.pegasus.planner.catalog.site.classes

## Class HeadNodeFS

- java.lang.Object
- - edu.isi.pegasus.planner.catalog.site.classes.SiteData
  - - edu.isi.pegasus.planner.catalog.site.classes.AbstractSiteData
    - - edu.isi.pegasus.planner.catalog.site.classes.HeadNodeFS

All Implemented Interfaces:
  java.lang.Cloneable

    public class HeadNodeFS
    extends AbstractSiteData

This data class describes the HeadNode Filesystem layout.

Version:
  $Revision$
Author:
  Karan Vahi

### Field Summary

Fields
`private Profiles` `mProfiles` The profiles associated with the headnode filesystem.
`private HeadNodeScratch` `mScratch` The scratch area on the head node.
`private HeadNodeStorage` `mStorage` The storage area on the head node.

### Constructor Summary

Constructors
Constructor and Description
`HeadNodeFS()` The default constructor.
`HeadNodeFS(HeadNodeScratch scratch, HeadNodeStorage storage)` The overloaded constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `accept(SiteDataVisitor visitor)` Accepts the visitor and calls visit method on the visitor accordingly
`void` `addProfile(Profile p)` Adds a profile.
`java.lang.Object` `clone()` Returns the clone of the object.
`Profiles` `getProfiles()` Returns the profiles associated with the file server.
`HeadNodeScratch` `getScratch()` Returns the scratch area on the head node.
`HeadNodeStorage` `getStorage()` Returns the storage area on the head node.
`void` `setProfiles(Profiles profiles)` Sets the profiles associated with the file server.
`void` `setScratch(HeadNodeScratch scratch)` Sets the scratch area on the head node.
`void` `setStorage(HeadNodeStorage storage)` Sets the storage area on the head node.
`void` `toXML(java.io.Writer writer, java.lang.String indent)` Writes out the xml description of the object.

### Methods inherited from class edu.isi.pegasus.planner.catalog.site.classes.AbstractSiteData

`toString, toXML, writeAttribute`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### mScratch

    private HeadNodeScratch mScratch

The scratch area on the head node.

#### mStorage

    private HeadNodeStorage mStorage

The storage area on the head node.

#### mProfiles

    private Profiles mProfiles

The profiles associated with the headnode filesystem.

### Constructor Detail

#### HeadNodeFS

    public HeadNodeFS()

The default constructor.

#### HeadNodeFS

    public HeadNodeFS(HeadNodeScratch scratch,
                      HeadNodeStorage storage)

The overloaded constructor.

Parameters:
  `scratch` - the scratch area.
  `storage` - the storage area.

### Method Detail

#### setScratch

    public void setScratch(HeadNodeScratch scratch)

Sets the scratch area on the head node.

Parameters:
  `scratch` - the scratch area.

#### getScratch

    public HeadNodeScratch getScratch()

Returns the scratch area on the head node.

Returns:
  the scratch area.

#### setStorage

    public void setStorage(HeadNodeStorage storage)

Sets the storage area on the head node.

Parameters:
  `storage` - the storage area.

#### getStorage

    public HeadNodeStorage getStorage()

Returns the storage area on the head node.

Returns:
  the storage area.

#### addProfile

    public void addProfile(Profile p)

Adds a profile.

Parameters:
  `p` - the profile to be added

#### getProfiles

    public Profiles getProfiles()

Returns the profiles associated with the file server.

Returns:
  the profiles.

#### setProfiles

    public void setProfiles(Profiles profiles)

Sets the profiles associated with the file server.

Parameters:
  `profiles` - the profiles.

#### toXML

    public void toXML(java.io.Writer writer,
                      java.lang.String indent)
               throws java.io.IOException

Writes out the xml description of the object.

Specified by:
  `toXML` in class `AbstractSiteData`
Parameters:
  `writer` - is a Writer opened and ready for writing. This can also be a StringWriter for efficient output.
  `indent` - the indent to be used.
Throws:
  `java.io.IOException` - if something fishy happens to the stream.

#### clone

    public java.lang.Object clone()

Returns the clone of the object.

Overrides:
  `clone` in class `AbstractSiteData`
Returns:
  the clone

#### accept

    public void accept(SiteDataVisitor visitor)
                throws java.io.IOException

Accepts the visitor and calls visit method on the visitor accordingly

Specified by:
  `accept` in class `AbstractSiteData`
Parameters:
  `visitor` -
Throws:
  `java.io.IOException` - if something fishy happens to the stream.